[Spike 1 day] Find sources of high-volume zero-results queries and determine the intent of the query originator
Closed, ResolvedPublic4 Story Points

Description

As we analyze zero-result queries in the request logs, we sometimes identify high-volume patterns of requests.

For these cases, we want to try to track down the originator of the queries to understand what they are trying to do, and how we can help them make their queries more successful.

Research may include digging through web and app logs, and may include contacting the originators of the requests to get clarification of their intent. Contact could be through email, github issues, etc. (We aren't looking for individuals, but rather apps, other software, or websites that automatically create searches that fail in high volumes.)

TJones created this task.Jul 28 2015, 8:58 PM
TJones updated the task description. (Show Details)
TJones raised the priority of this task from to Needs Triage.
TJones added subscribers: TJones, Ironholds.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 8:58 PM
TJones added a comment.EditedJul 28 2015, 8:59 PM

Some examples are/will de documented in T107035, but a good one is DOI ID searches that originate from Lagotto ( sample.lagotto.io/sources/wikipedia ). In this case, it appears from their online documentation that the searches are intentional, and after some quick testing, they are reasonably formatted. The majority return no result because most scholarly articles are not referenced in Wikipedia.

Deskana renamed this task from Find sources of high-volume zero-results queries and determine the intent of the query originator to [Spike 1 day] Find sources of high-volume zero-results queries and determine the intent of the query originator.Jul 30 2015, 8:12 PM
Deskana triaged this task as Normal priority.
Deskana set Security to None.
Ironholds edited a custom field.Jul 30 2015, 8:14 PM
Deskana closed this task as Resolved.Aug 6 2015, 8:09 PM
Deskana added a subscriber: Deskana.